## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidStore

### Authentication::ezcAuthenticationOpenidStore

### Class ezcAuthenticationOpenidStore

Abstract class which provides a base for store (backend) implementations to be used in OpenID authentication.

Source for this file: /Authentication/src/filters/openid/openid_store.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationOpenidDbStore | Class providing database storage for OpenID authentication.
ezcAuthenticationOpenidFileStore | Class providing file storage for OpenID authentication.

### Member Variables

protected ezcAuthenticationOpenidStoreOptions | `$options` Options for OpenID stores.

### Method Summary

public abstract ezcAuthenticationOpenidAssociation | `getAssociation( $url )` Returns the association linked to the OpenID provider URL.
public ezcAuthenticationOpenidStoreOptions | `getOptions( )` Returns the options of this class.
public abstract bool | `removeAssociation( $url )` Removes the association linked to the OpenID provider URL.
public void | `setOptions( $options )` Sets the options of this class to $options.
public abstract bool | `storeAssociation( $url , $association )` Stores an association in the store linked to the OpenID provider URL.
public abstract bool | `storeNonce( $nonce )` Stores the nonce in the store.
public abstract bool | `useNonce( $nonce )` Checks if the nonce exists and afterwards deletes it.

### Methods

#### getAssociation

ezcAuthenticationOpenidAssociation getAssociation( string $url )

Returns the association linked to the OpenID provider URL.

Returns null if the association could not be retrieved.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$url` | string | The URL of the OpenID provider

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationOpenidDbStore::getAssociation()` | Returns the unserialized association linked to the OpenID provider URL.
`ezcAuthenticationOpenidFileStore::getAssociation()` | Returns the unserialized association linked to the OpenID provider URL.

#### getOptions

ezcAuthenticationOpenidStoreOptions getOptions( )

Returns the options of this class.

#### removeAssociation

bool removeAssociation( string $url )

Removes the association linked to the OpenID provider URL.

Returns true if the association could be removed, and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$url` | string | The URL of the OpenID provider

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationOpenidDbStore::removeAssociation()` | Removes the association linked to the OpenID provider URL.
`ezcAuthenticationOpenidFileStore::removeAssociation()` | Removes the association linked to the OpenID provider URL.

#### setOptions

void setOptions( ezcAuthenticationOpenidStoreOptions $options )

Sets the options of this class to $options.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcAuthenticationOpenidStoreOptions | Options for this class

#### storeAssociation

bool storeAssociation( string $url , ezcAuthenticationOpenidAssociation $association )

Stores an association in the store linked to the OpenID provider URL.

Returns true if the association was stored successfully, and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$url` | string | The URL of the OpenID provider
`$association` | ezcAuthenticationOpenidAssociation | The association value to store

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationOpenidDbStore::storeAssociation()` | Stores an association in the store linked to the OpenID provider URL.
`ezcAuthenticationOpenidFileStore::storeAssociation()` | Stores an association in the store linked to the OpenID provider URL.

#### storeNonce

bool storeNonce( string $nonce )

Stores the nonce in the store.

Returns true if the nonce was stored successfully, and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nonce` | string | The nonce value to store

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationOpenidDbStore::storeNonce()` | Stores the nonce in the store.
`ezcAuthenticationOpenidFileStore::storeNonce()` | Stores the nonce in the store.

#### useNonce

bool useNonce( string $nonce )

Checks if the nonce exists and afterwards deletes it.

Returns true if the nonce can be used (exists and it is still valid), and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nonce` | string | The nonce value to check and delete

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationOpenidDbStore::useNonce()` | Checks if the nonce exists and afterwards deletes it.
`ezcAuthenticationOpenidFileStore::useNonce()` | Checks if the nonce exists and afterwards deletes it.

Documentation generated by phpDocumentor 1.4.3